/*******************************************************************************
 * FoxInventorymanagerHardSuit generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxInventorymanagerHardSuit extends FoxInventoryManager
    hidecategories(Navigation);

simulated function ClientWeaponSet(Weapon NewWeapon, bool bOptionalSet, optional bool bDoNotActivate)
{
    SetCurrentWeapon(NewWeapon);
    //return;    
}

private final simulated function InternalSetCurrentWeapon(Weapon DesiredWeapon)
{
    SetPendingWeapon(DesiredWeapon);
    ChangedWeapon(DesiredWeapon);
    //return;    
}

simulated function ChangedWeapon(Weapon DesiredWeapon)
{
    Instigator.PlayWeaponSwitch(none, DesiredWeapon);
    // End:0xC9
    if(DesiredWeapon != none)
    {
        DesiredWeapon.Instigator = Instigator;
        // End:0xAA
        if(WorldInfo.Game != none)
        {
            Instigator.MakeNoise(0.10, 'ChangedWeapon');
        }
        DesiredWeapon.Activate();
    }
    // End:0x12B
    if(Instigator.Controller != none)
    {
        Instigator.Controller.NotifyChangedWeapon(none, DesiredWeapon);
    }
    //return;    
}
